> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry a terminal execution



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/executions/{execution_id}/retry
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/executions/{execution_id}/retry:
    post:
      tags:
        - Executions API
      summary: Retry a terminal execution
      operationId: retry_execution_endpoint_api_v1_org_executions__execution_id__retry_post
      parameters:
        - in: path
          name: execution_id
          required: true
          schema:
            format: uuid4
            title: Execution Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionSummary'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ExecutionSummary:
      properties:
        cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Cluster Id
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        display_name:
          title: Display Name
          type: string
        error_excerpt:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Excerpt
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid
          title: Organisation Id
          type: string
        outcome:
          anyOf:
            - $ref: '#/components/schemas/ExecutionOutcome'
            - type: 'null'
        scope:
          $ref: '#/components/schemas/ExecutionScope'
        status:
          $ref: '#/components/schemas/OperationStatus'
        step_summary:
          $ref: '#/components/schemas/StepSummary'
        type:
          title: Type
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - scope
        - organisation_id
        - name
        - display_name
        - type
        - status
      title: ExecutionSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExecutionOutcome:
      enum:
        - unknown
        - noop
        - mutated
        - failed
        - cancelled
      title: ExecutionOutcome
      type: string
    ExecutionScope:
      enum:
        - cluster
        - platform
      title: ExecutionScope
      type: string
    OperationStatus:
      enum:
        - running
        - stopping
        - success
        - cleanup
        - failed
        - critical
        - cancelled
      title: OperationStatus
      type: string
    StepSummary:
      properties:
        failed:
          default: 0
          title: Failed
          type: integer
        pending:
          default: 0
          title: Pending
          type: integer
        running:
          default: 0
          title: Running
          type: integer
        succeeded:
          default: 0
          title: Succeeded
          type: integer
        total:
          default: 0
          title: Total
          type: integer
      title: StepSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````